# Generated from slack-api-1.6.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name slack-api

Name: rubygem-%{gem_name}
Version: 1.6.1
Release: 1%{?dist}
Summary: A Ruby wrapper for the Slack API
License: MIT
URL: https://github.com/aki017/slack-ruby-gem
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(coveralls)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(webmock)
# BuildRequires: rubygem(vcr)
# BuildRequires: rubygem(guard)
# BuildRequires: rubygem(guard-rspec)
# BuildRequires: rubygem(erubis) >= 2.7.0
# BuildRequires: rubygem(erubis) < 2.8
# BuildRequires: rubygem(json-schema)
# BuildRequires: rubygem(pry)
BuildArch: noarch

%description
A Ruby wrapper for the Slack API.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.coveralls.yml
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitmodules
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/slack.gemspec
%{gem_instdir}/spec

%changelog
* Wed Sep 15 2021 mockbuilder - 1.6.1-1
- Initial package
